{VERSION 1 0 "X11/Motif" "1.0"}{GLOBALS 1 3}{FONT 0 "-adobe-helve
tica-bold-r-normal--12-*" "helvetica" "Helvetica-Bold" 8 12 0 "He
lvetica-Bold" 12}{FONT 1 "-adobe-helvetica-medium-o-normal-*-12-*
" "helvetica" "Helvetica-Oblique" 4 12 32 "Helvetica-Oblique" 12}
{FONT 2 "-adobe-courier-medium-r-normal--12-*" "courier" "Courier
" 4 12 192 "Courier" 12}{SCP_R 1 0 104{COM_R 2 0{TEXT 1 3905 "\01
5% Use EXPORT AS LATEX to save this worksheet as a tex file.\015%
 For better results, change the formatting width to 2.8 inches.\0
15\015% To produce a file suitable for use with the Maple Technic
al Newsletter driver.tex,\015% simply replace the first line (\\d
ocumentstyle\{...\}) with\015\015%     \\documentstyle[fancyheadi
ngs,twocolumn,mtn]\{article\}\015\015% The \\HEADING, \\heading, \+
and \\subheading macros are defined in mtn.sty.\015\015% To produ
ce a flat file that can piped through (plain) Maple:\015%    - de
lete all Maple output and graphics (and text, if so desired)\015%
    - save the worksheet as a text file (article.txt)\015%    - r
emove all input prompts (>) from the text file ( sed 's/^>//g' ar
ticle.txt > article.raw )\015%    - you may wish to add a final c
ommand, quit, to article.raw\015% The file article.cmd can now be
 used as follows:\015%    maple < article.raw\015\015%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%\015\015\\flushbotto
m\015\015\\makeatletter\015\\def\\thebibliography#1\{%\\section*\
{\\refname\\@mkboth\012%  \{\\uppercase\{\\refname\}\}\{\\upperca
se\{\\refname\}\}\}\015 \\heading\{References\}\\list\012  \{\\@b
iblabel\{\\arabic\{enumiv\}\}\}\{\\settowidth\\labelwidth\{\\@bib
label\{#1\}\}%\012    \\leftmargin\\labelwidth\012    \\advance\\
leftmargin\\labelsep\012    \\usecounter\{enumiv\}%\012    \\let\
\p@enumiv\\@empty\012    \\def\\theenumiv\{\\arabic\{enumiv\}\}\}
%\012    \\def\\newblock\{\\hskip .11em plus.33em minus.07em\}%\0
12    \\sloppy\\clubpenalty4000\\widowpenalty4000\012    \\sfcode
`\\.=1000\\relax\}\012\\makeatother\015\015\\input\{psfig\}\015%\
\psdraft\015\015%\\input\{maplems.sty\}\015%\\pagestyle\{fancy\}\
015%\\def\\MaplePlotHeight\{40ex\}\012%\\def\\MaplePlotWidth\{60e
x\}\012\015\\newcommand\{\\R\}\{\\mbox\{\\boldmath\{R\}\}\}\015\0
12\\HEADING%\015\{The Shooting Technique for the Solution of Two-
Point Boundary Value Problems\}%\015\{Douglas B.\\ Meade%\015 \\f
ootnote\{Department of Mathematics, University of South Carolina,
 Columbia, SC 29208, USA;\015              E-mail: \{\\tt meade@m
ath.sc.edu\};\015              WWW URL: \{\\tt http://www.math.sc
.edu/\\mbox\{$\\tilde\{\\ \}$\}meade/\}\}, %\015 Bala S. Haran%\0
15 \\footnote\{Department of Chemical Engineering, University of \+
South Carolina, Columbia, SC 29208, USA;\015               E-mail
: \{\\tt bala@sun.che.scar\}\\newline\{\\tt olina.edu\}\}, %\015 \+
and Ralph E.\\ White%\015 \\footnote\{Department of Chemical Engi
neering, University of South Carolina, Columbia, SC 29208, USA;\0
15               E-mail: \{\\tt rew@sun.che.scaro\}\\newline\{\\t
t lina.edu\}\}%\015\}%\015\{BVPs, Shooting Method, and Chemical E
ngineering\}\015\015\\heading\{Introduction\}\015\015One of the s
trengths of Maple is its ability to provide a wide variety of inf
ormation about differential equations. Explicit, implicit, parame
tric, series, Laplace transform, numerical, and graphical solutio
ns can all be obtained via the \\verb+dsolve+ command. Numerical \+
solutions are of particular interest due to the fact that exact s
olutions do not exist, in closed form, for most engineering and s
cientific applications. The numerical solution methods available \+
within \\verb+dsolve+ are applicable only to \{\\em initial value
 problems\}. Thus, at first glance, Maple appears to be very limi
ted in its ability to analyze the multitude of two-point boundary
 value problems that occur frequently in engineering analysis.\01
5\015A commonly used numerical method for the solution of two-poi
nt boundary value problems is the \{\\em shooting method\}. This \+
well-known technique is an iterative algorithm which attempts to \+
identify appropriate initial conditions for a related initial val
ue problem (IVP) that provides the solution to the original bound
ary value problem (BVP).\015\015The first objective of this paper
 is to describe the shooting method and its Maple implementation,
 \\verb+shoot+. Then, \\verb+shoot+ is used to analyze three comm
on two-point BVPs from chemical engineering:\015  the Blasius sol
ution for laminar boundary-layer flow past a flat plate,\015  the
 reactivity behavior of porous catalyst particles subject to both
 internal mass concentration gradients and temperature gradients,
 and\015  the steady-state flow near an infinite rotating disk.\0
15"}}{COM_R 3 0{TEXT 1 6580 "\015\\heading\{A Maple Implementatio
n of the Simple Shooting Method\}\015\015The basic idea of the sh
ooting method for two-point boundary value problems is to reformu
late the problem as a nonlinear parameter estimation problem. The
 new problem requires the solution of a related IVP with initial \+
conditions chosen to approximate the boundary conditions at the o
ther endpoint. If these boundary conditions are not satisfied to \+
the desired accuracy, the process is repeated with a new set of i
nitial conditions until the desired accuracy is achieved or an it
eration limit is reached.\015\015To be more specific, consider th
e two-point BVP for a coupled system of $n$ first-order ODEs\015\
\begin\{eqnarray\}\015\\frac\{dy\}\{dt\}    &=& f(t,y(t))        \+
                     \\nonumber\\\\\015y_i(a) &=& \\alpha_i,\\qqu
ad i=1,2,..,m_1            \\label\{BVP\}\\\\\015y_\{m_1+j\}(b) &
=& \\beta_j,\\qquad j=1,2,..,m_2.   \\nonumber\015\\end\{eqnarray
\}\015The vector $y$ contains the $n$ unknown functions of the in
dependent variable $t$. The unknown functions are ordered so that
 the first $m_1$ ($0<m_1<n$) components of $y$ have first-kind bo
undary conditions at $t=a$ (\{\\em viz.\}, (\\ref\{BVP\})$_2$). T
he remaining $m_2:=n-m_1$ components of the solution have first-k
ind boundary conditions%\015\\footnote\{The Maple procedure \\ver
b+shoot+ supports nonlinear boundary conditions at $t=b$. In part
icular, (\\ref\{BVP\})$_3$ can be replaced with $r_j(y(b))=0$, $ \+
j=1,2,..,m_2$, where each $r_j$ is a differentiable function of $
n$ variables. The examples discussed in this paper all use $r_j(y
(b)):=y_\{m_1+j\}(b)-\\beta_j$.\}\015specified at a second point,
 $t=b$. (Note that if $m_2=0$, then (\\ref\{BVP\}) is an initial \+
value problem.)\015\015The shooting method seeks to identify a ve
ctor of parameters $s\\in\\R^\{m_2\}$ so that the solution, denot
ed by $y(t;s)$, to the initial value problem\015\\begin\{eqnarray
\}\015\\frac\{dy\}\{dt\}    &=& f(t,y(t;s))                      \+
       \\nonumber\\\\\015y_i(a;s) &=& \\alpha_i,\\qquad i=1,2,..,
m_1            \\label\{IVP\}\\\\\015y_\{m_1+j\}(a;s) &=& s_j,\\q
quad j=1,2,..,m_2         \\nonumber\015\\end\{eqnarray\}\015agre
es with the solution to (\\ref\{BVP\}). Note that (\\ref\{IVP\}) \+
is simply (\\ref\{BVP\}) with the boundary conditions at $t=b$ re
placed with unknown initial conditions at $t=a$. To determine the
 correct initial values, consider the ``objective function'' $F$ \+
with components\015$$\015F_j(s):=y_\{m_1+j\}(b;s)-\\beta_j,\\qqua
d j=1,2,..,m_2.\015$$\015Then \\cite[p.\\ 476]\{SB\}, (\\ref\{BVP
\}) is solvable if and only if there exists $s\\in\\R^\{m_2\}$ so
 that $F(s)=0$.\015\015The success of this process depends primar
ily on the iterative procedure used to construct a sequence of pa
rameter vectors that converges to a zero of $F$. While any numeri
cal root-finding algorithm could be employed for this step, one s
tep of the Newton-Raphson method is most commonly used. That is, \+
given an initial guess $s^0\\in\\R^\{m_2\}$, define a sequence of
 initial conditions $\\\{s^k\\\}$ by\015$$\015 s^\{k+1\}:=s^k-(\\
nabla F(s^k))^\{-1\}F(s^k)\015$$\015for all $k\\ge0$. To implemen
t this, note that the vector $F(s^k)$ is directly available from \+
the solution of (\\ref\{IVP\}), but the Jacobian matrix $\\nabla \+
F(s^k)$ requires the values of $\\frac\{\\partial y_\{m_1+i\}\}\{
\\partial s_j\}(b;s^k)$ for all $i,j=1,2,..,m_2$. These values ca
n be obtained by solving the $n$ IVPs in (\\ref\{IVP\}) together \+
with the $nm_2$ sensitivity equations (\\cite[p.\\ 226]\{B\}, \\c
ite[pp.\\ 54--58]\{D\}):\015$$\015\\frac\{d\}\{dt\}\\left(\\frac\
{\\partial y_i\}\{\\partial s_j\}\\right) = \\frac\{\\partial f\}
\{\\partial y_i\}\\frac\{\\partial y_i\}\{\\partial s_j\},\\quad \+
i=1,2,..,n,\\ j=1,.. m_2\015$$\015with corresponding initial cond
itions\015$$\015\\begin\{array\}\{rcll\}\015\\frac\{\\partial y_i
\}\{\\partial s_j\} &=& 0,& \\mbox\{for all \} i=1,..,m_1,\\ j=1,
2,..,m_2 \\\\\015\\frac\{\\partial y_\{m_1+i\}\}\{\\partial s_j\}
 &=& \\delta_\{ij\},& \\mbox\{for all \} i,j=1,..,m_2\015\\end\{a
rray\}\015$$\015%(Here $\\delta_\{ij\}$ is the Kronecker delta, t
hat is, $\\delta_\{ij\}=1$ of $i=j$ and is otherwise $0$.)\015\01
5The above algorithm is known as the \{\\em simple\}, or \{\\em s
ingle\}, \{\\em shooting method\}. While this method is effective
 for many problems, three specific problems should be mentioned \
\cite\{AMR\}. Assume (\\ref\{BVP\}) has a unique solution. There \+
is no guarantee that the initial value problem (\\ref\{IVP\}) has
 a solution on the interval $[a,b]$ for all $s\\in\\R^\{m_2\}$. E
ven if (\\ref\{IVP\}) does have a solution on $[a,b]$, the proble
m may be stiff. In such a case the solution at $t=b$ may be so in
accurate as to make the results of the Newton-Raphson step meanin
gless. When the accuracy of the solution at $t=b$ is known with s
ufficient accuracy, the local convergence of the Newton-Raphson s
tep may prevent the iterations from converging to a solution of t
he original boundary value problem (\\ref\{BVP\}). This difficult
y can be addressed by replacing the Newton-Raphson step with anot
her iterative solver with improved convergence properties (\{\\em
 e.g.\}, modified Newton's method). The \{\\em multiple\}, or \{\
\em parallel\}, \{\\em shooting method\} addresses the other diff
iculties. As these problems are generally more pronounced as $b-a
$ increases, it seems appropriate to consider partitioning the in
terval into $N$ subintervals. Then, using compatibility condition
s between the subintervals, a well-posed IVP is obtained on each \+
subinterval.\015\015The combination of Maple's facilities for sym
bolic manipulation and numerical solution of IVPs provide an exce
llent environment for the translation of the simple shooting meth
od into the Maple programming language. The syntax for this proce
dure, called \\verb+shoot+, closely follows the syntax of \\verb+
dsolve+. In particular, the data structures returned by \\verb+sh
oot+ are identical to the ones returned by \\verb+dsolve/numeric+
. Thus, all the techniques and tools for manipulating Maple's num
erical solutions of differential equations, \{\\em e.g.\} \\verb+
plots[odeplot]+, can be used to interpret the results from \\verb
+shoot+. (The source code for \\verb+shoot+, including on-line he
lp documentation, is available upon request from the first author
.)\015\015Other numerical methods for the solution of two-point b
oundary value problems have also been developed on other platform
s. One of the most well-known is the \{\\sc fortran\} subroutine \+
\\verb+COLSYS+ (available from Netlib). The numerical method used
 in this routine is collocation of B-splines at Gaussian points \
\cite\{ACR\}. Finite difference methods can be easily implemented
 using \{\\sc Matlab\}'s \\verb+fsolve+ command.\015\015The three
 examples discussed in this paper provide samples of how simple s
hooting, in particular \\verb+shoot+, can be applied to the analy
sis of boundary value problems that are encountered in chemical e
ngineering.\015"}}{COM_R 4 0{TEXT 1 473 "\015\\heading\{Laminar b
oundary-layer flow past a flat plate\}\015\015Consider a fluid st
ream with velocity $u_0$ and kinematic viscosity $\\nu$ in which \+
a thin plate is inserted parallel with the fluid flow. Determinin
g the velocity of the fluid in the region close to the plate is t
he \{\\em Blasius problem\} \\cite[p.\\ 233]\{W\}. Assuming the f
low is steady, incompressible, and Newtonian, the plate is infini
tely wide, and neglecting buoyancy, the equations of motion and c
ontinuity are:"}}{INP_R 5 0 "> "{TEXT 0 37 "restart;\015alias( U=
u(x,y), V=v(x,y) ):"}}{INP_R 6 0 "> "{TEXT 0 80 "PDE:=\{ U*diff(U
,x)+V*diff(U,y)-nu*diff(U,y$2)=0,\015       diff(U,x)+diff(V,y)=0
 \};"}}{OUT_R 7 0 6{DAG :3n3\`PDE`%2,3=3+7*5n3\`U`j2x0001(3n4\`di
ff`,3p8n3\`x`pApA*5n3\`V`pA(3pD,3p8n3\`y`pApA*5n3\`nu`pA(3pD,3p1A
p1EpAi2x0001j2x0000=3+5pCpA(3pD,3p17p1EpAp2E}}{COM_R 8 0{TEXT 1 
140 "%\\begin\{eqnarray\}\015%uu_x + vu_y &=& \\nu u_\{yy\}      \+
  \\label\{motion1\}\\\\\015%u_x+v_y       &=& 0                 \+
   \\label\{cont1\}\015%\\end\{eqnarray\}"}}{COM_R 9 0{TEXT 1 468
 "\\noindent\015where $u$ and $v$ are the $x$- and $y$-components
 of the fluid velocity. The boundary conditions consist of the ``
no-slip'' conditions on the boundary of the plate: $u(x,0)=v(x,0)
=0$, and the free stream-merge condition $\\displaystyle\\lim_\{y
\\rightarrow\\infty\}u(x,y)=u_0$, for all $x>0$.\015\015A similar
ity transformation can be used to reduce this parabolic system of
 PDEs to a single ODE. This can be done by choosing the dimension
less similarity variable to be:"}}{INP_R 10 0 "> "{TEXT 0 38 "sim
subs:=eta(x,y)=y*sqrt(u[0]/nu/x/2);"}}{OUT_R 11 0 10{DAG :3n4\`si
msubs`=3(3n3\`eta`,3n3\`x`n3\`y`+3*7pBj2x0001j2x0002/3p10p12*7b3n
3\`u`,2j2x0000p10n3\`nu`i2x0001p9p21p14p14}}{COM_R 12 0{TEXT 1 35
 "%$\\eta=y\\sqrt\{\\frac\{u_0\}\{2\\nu x\}\}$."}}{COM_R 13 0
{TEXT 1 75 "\\noindent\015The corresponding nondimensional stream
 function for the flow is:"}}{INP_R 14 0 "> "{TEXT 0 47 "stream:=
psi(x,y)=sqrt(2*nu*x*u[0])*f(eta(x,y));"}}{OUT_R 15 0 14{DAG :3n4
\`stream`=3(3n3\`psi`,3n3\`x`n3\`y`*7j2x0002/3j2x0001pE*7n3\`nu`p
11p9p11b3n3\`u`,2j2x0000p11p10(3n3\`f`,2(3n3\`eta`p8p11}}{COM_R 
16 0{TEXT 1 32 "%$\\psi=\\sqrt\{\\nu x u_0\}f(\\eta)$."}}{COM_R 
17 0{TEXT 1 41 "Thus, the velocities can be expressed as:"}}
{INP_R 18 0 "> "{TEXT 0 29 "Usubs:=U=diff(rhs(stream),y);"}}
{OUT_R 19 0 18{DAG :3n4\`Usubs`=3n3\`U`*9j2x0002/3j2x0001p8*7n3\`
nu`pBn3\`x`pBb3n3\`u`,2j2x0000pBpA(3(3n3\`D`,2n3\`f`,2(3n3\`eta`,
3p12n3\`y`pB(3n4\`diff`,3p25p2ApB}}{INP_R 20 0 "> "{TEXT 0 30 "Vs
ubs:=V=-diff(rhs(stream),x);"}}{OUT_R 21 0 20{DAG :3n4\`Vsubs`=3n
3\`V`+5*Bj2x0002/3j2x0001p9*7n3\`nu`pCn3\`x`pCb3n3\`u`,2j2x0000pC
/3i2x0001p9(3n3\`f`,2(3n3\`eta`,3p13n3\`y`pCp10pCp16pCp1D*9p9pBpF
pB(3(3n3\`D`,2p22p24pC(3n4\`diff`,3p25p13pCp1E}}{COM_R 22 0{TEXT 
1 199 "%\\begin\{eqnarray\}\015%u &=& \\psi_y = u_0 f'(\\eta)    \+
                                             \\label\{u\}\\\\\015
%v &=& -\\psi_x = \\sqrt\{\\frac\{\\nu u_0\}\{2x\}\}(\\eta f'(\\e
ta)-f(\\eta)). \\label\{v\}\015%\\end\{eqnarray\}"}}{COM_R 23 0
{TEXT 1 177 "\\noindent\015Substituting the stream function repre
sentations of the velocities into the PDEs is tedious to complete
 by hand. Fortunately, this is exactly one of Maple's strengths:"
}}{INP_R 24 0 "> "{TEXT 0 45 "ODE:=simplify(subs(Usubs,Vsubs,sims
ubs,PDE));"}}{OUT_R 25 0 24{DAG :3n3\`ODE`%2,3=3j2x0000p6=3+3*Bb3
n3\`u`,2p6j2x0002+5*B(3(3(3n3\`@@`,3n3\`D`p11,2n3\`f`,2+3*7n3\`y`
j2x0001p11/3p26p11*7pCp26n3\`nu`i2x0001n3\`x`p31p29p29p26(3p1Fp21
p26p2Fp26p33p26p2Cp29p26*5*7p2Fp26p33p26pCp26p29(3(3(3p18,3p1Bj2x
0003p1Ep21p26p26p26p2Fp31p33i2x0002p2C/3p31p11p60p6}}{COM_R 26 0
{TEXT 1 272 "\\noindent\015The trivial fulfillment of the continu
ity equation is evident in this result. However, the first equati
on is not so readily identified. To simplify this further, note t
hat each argument to $f$, and its derivatives, is simply $\\eta$.
 To force this simplification,"}}{INP_R 27 0 "> "{TEXT 0 48 "sims
ubs2:=solve(subs(eta(x,y)=eta,simsubs),\{y\});"}}{OUT_R 28 0 27
{DAG :3n5\`simsubs2`%2,2=3n3\`y`*7n3\`eta`j2x0001j2x0002/3pDpF*7b
3n3\`u`,2j2x0000pDn3\`nu`i2x0001n3\`x`p1E/3p1EpF}}{COM_R 29 0
{TEXT 1 8 "\\newpage"}}{INP_R 30 0 "> "{TEXT 0 43 "ODE:=simplify(
subs(simsubs2,ODE),symbolic);"}}{OUT_R 31 0 30{DAG :3n3\`ODE`%2,3
=3+3*7b3n3\`u`,2j2x0000j2x0002+5*5(3(3(3n3\`@@`,3n3\`D`pE,2n3\`f`
,2n3\`eta`j2x0001(3p1Cp1Ep21p21(3(3(3p15,3p18j2x0003p1Bp1Ep21p21n
3\`x`i2x0001/3p36pEpC=3pCpC}}{COM_R 32 0{TEXT 1 2432 "It is now e
asy to identify the Blasius equation\015\\begin\{equation\}\015f'
''(\\eta) + f(\\eta) f''(\\eta) = 0,\\qquad \\eta>0.   \\label\{O
DE1\}\015\\end\{equation\}\015The conversion of the boundary cond
itions can be done by inspection. The resulting conditions are $f
(0)=f'(0)=0$ and $\\displaystyle\\lim_\{\\eta\\rightarrow\\infty\
}f'(\\eta)=1$.\015\015The ``boundary condition'' at $\\eta=\\inft
y$ presents a problem. However, a simple asymptotic analysis show
s that solutions at $\\eta=10$ are safely in the far-field. The p
roblem now takes the form of a third-order two-point boundary val
ue problem for $f$ on $[0,10]$. The reformulation as a first-orde
r system is straightforward; let $g:=f'$ and $h:=f''$, then\015\\
begin\{equation\}\015\\begin\{array\}\{rcll\}\015f' &=& g,    & f
(0)=0         \\nonumber        \\\\\015g' &=& h,   & g(0)=0     \+
   \\label\{sys-ex1\} \\\\\015h' &=& -fh & h(0)=\\beta   \\nonumb
er\015\\end\{array\}\015\\end\{equation\}\015where $\\beta$ is th
e control parameter. The objective is to find $\\beta$ so that th
e solution to (\\ref\{sys-ex1\}) satisfies the boundary condition
 $g(10)=1$. Since there is only one boundary condition at $\\eta=
10$ we have $m_2=1$ and $s=\\beta$. The sensitivity equations tha
t are obtained from (\\ref\{sys-ex1\}), together with their accom
panying initial values, are:\015\\begin\{equation\}\015\\begin\{a
rray\}\{rcll\}\015f_\\beta' &=& g_\\beta,                       &
 f_\\beta(0)=0       \\nonumber        \\\\\015g_\\beta' &=& h_\\
beta,                      & g_\\beta(0)=0      \\label\{sens-ex1
\}\\\\\015h_\\beta' &=& -f_\\beta h - f h_\\beta,  & h_\\beta(0)=
1      \\nonumber\015\\end\{array\}\015\\end\{equation\}\015where
, for example, $f_\\beta(t;\\beta):=\\frac\{\\partial f\}\{\\part
ial\\beta\}(t;\\beta)$. Now, assume that an approximate solution \+
to (\\ref\{sys-ex1\}) and (\\ref\{sens-ex1\}) has been computed w
ith $s=s^k$, \{\\em i.e.\} $\\beta=\\beta^k$. Then, assuming $|g(
10;\\beta^k)-1|$ is not sufficiently small, the next iteration wi
ll be made with\015$$\015 \\beta^\{k+1\}:=\\beta^k - \\frac\{g(10
;\\beta^k)-1\}\{g_\\beta(10;\\beta^k)\}.\015$$\015\015While it is
 important to understand how \\verb+shoot+ obtains its approximat
ions, it is also a tremendous advantage to use Maple to both comp
ute automatically, and symbolically, the sensitivity equations an
d iteratively solve the combined system of IVPs and take one step
 of the Newton-Raphson method until the boundary conditions are s
atisfied within a prescribed tolerance.\015\015Prior to preparing
 this problem for solution by \\verb+shoot+, it is necessary to l
oad the definition of this procedure:"}}{INP_R 33 0 "> "{TEXT 0 
11 "read shoot;"}}{COM_R 34 0{TEXT 1 73 "\\noindent\015Now, defin
e the dependent variables for the first-order system:"}}{INP_R 35
 0 "> "{TEXT 0 32 "FNS:=\{ f(eta), g(eta), h(eta) \}:"}}{COM_R 36
 0{TEXT 1 60 "\\noindent\015and the differential equations which \+
they satisfy:"}}{INP_R 37 0 "> "{TEXT 0 105 "ODE:=\{ diff(f(eta),
eta)=g(eta),\015       diff(g(eta),eta)=h(eta),\015       diff(h(
eta),eta)=-f(eta)*h(eta) \}:"}}{COM_R 38 0{TEXT 1 128 "\\noindent
\015The initial condition for $f''$ is unknown, and the boundary \+
condition at $\\eta=10$ is the control for our iterations:"}}
{INP_R 39 0 "> "{TEXT 0 47 "IC:=\{ f(0)=0, g(0)=0, h(0)=beta \}:\
012BC:=g(10)=1:"}}{COM_R 40 0{TEXT 1 125 "\\noindent\015We take t
he first shot with $\\beta=0$, and iterate until the boundary con
dition is satisfied to six decimal places:"}}{INP_R 41 0 "> "
{TEXT 0 70 "S:=shoot( ODE union IC, FNS, BC,beta=0,\015          \+
bcerr=Float(5,-7) ):"}}{COM_R 42 0{TEXT 1 240 "This solution can \+
be analyzed using any of the standard Maple tools for manipulatin
g the numerical solution of a differential equation. A common pla
ce to begin is a plot of the solution, including labels to distin
guish the different curves:"}}{INP_R 43 0 "> "{TEXT 0 436 "with(p
lots):\015C:=odeplot( S, [ [eta,f(eta)],\015            [eta,g(et
a)], [eta,h(eta)] ],0..4):\012subs( [g=`f '`, h=`f ''`],\015     \+
 subs( [seq( op(0,lhs(F))=rhs(F(3.5)),\015             F=subsop(1
=NULL,S) )] ) ):\015L:=textplot(\015     subs( eta=3.5,\015      \+
     map(F->[eta,rhs(F)+1/10,lhs(F)],\")),\015     font=[TIMES,IT
ALIC,18], align=ABOVE ):\015display( \{C,L\}, labels=[`eta`,``],\
015   title=`Blasius solution for flat-plate `.\015         `boun
dary layer` );"}}{COM_R 44 0{TEXT 1 18 "\\mapleplot\{ex1.ps\}"}}
{COM_R 45 0{TEXT 1 438 "With increasing distance from the leading
 edge of the plate in the downstream direction the thickness $\\d
elta$ of the retarded boundary layer increases continuously as in
creasing quantities of fluid become affected. In the boundary lay
er the velocity of the fluid increases from zero at the wall (no \+
slip) to its full value which corresponds to external frictionles
s flow. The velocity reaches 99\\% of its bulk value when $f'(\\e
ta)=0.99$:"}}{INP_R 46 0 "> "{TEXT 0 67 "fp:=subs( S, g(eta) ):\0
12eta[`99%`]:=fsolve( 'fp(eta)'=0.99, 'eta' );"}}{OUT_R 47 0 46
{DAG :3b3n3\`eta`,2n3\`99%`e3j4x003471887111i2x0009}}{COM_R 48 0
{TEXT 1 46 "The corresponding boundary layer thickness is:"}}
{INP_R 49 0 "> "{TEXT 0 83 "delta[`99%`]:=subs(eta=eta[`99%`],\01
5                   combine(rhs(op(simsubs2))) );"}}{OUT_R 50 0 
49{DAG :3b3n4\`delta`,2n3\`99%`+3*7b3n3\`u`,2j2x0000i2x0001j2x000
2/3j2x0001p12*7n3\`nu`p15n3\`x`p15pAp15p14e3j4x003471887111i2x000
9}}{COM_R 51 0{TEXT 1 155 "As is now evident, the thickness of th
e boundary layer decreases with decreasing viscosity.\015\012The \+
shear stress, $\\tau=\\mu\\frac\{\\partial u\}\{\\partial y\}$, i
s:"}}{INP_R 52 0 "> "{TEXT 0 62 "tau:=mu*simplify(\015          d
iff(subs(simsubs,rhs(Usubs)),y));"}}{OUT_R 53 0 52{DAG :3n3\`tau`
+3*Fn3\`mu`j2x0001*7n3\`nu`p7n3\`x`p7b3n3\`u`,2j2x0000p7/3p7j2x00
02(3(3(3n3\`@@`,3n3\`D`p19,2n3\`f`,2+3*7n3\`y`p7p19p17*7p10p7pAi2
x0001pDp33p17p17p7p10p7pAp33pDp33p19p17p17}}{COM_R 54 0{TEXT 1 
134 "Note that a large velocity gradient across the flow creates \+
considerable shear stress in the boundary layer. The wall shear s
tress is:"}}{INP_R 55 0 "> "{TEXT 0 79 "tau[w]:=subs( (D@@2)(f)(0
)=subs(S,h(eta))(0),\015              subs( y=0, tau ) );"}}
{OUT_R 56 0 55{DAG :3b3n3\`tau`,2n3\`w`+3*Dn3\`mu`j2x0001*7n3\`nu
`pBn3\`x`pBb3n3\`u`,2j2x0000pB/3pBj2x0002p14pBpEi2x0001p11p22p1Dp
1Be3j4x002347998643i2x0010}}{COM_R 57 0{TEXT 1 128 "The analysis \+
can be continued to obtain an understanding of parameters such as
 the displacement thickness and drag coefficient.\015"}}{COM_R 58
 0{TEXT 1 2212 "\015\\heading\{Porous Catalyst\}\015\015Predictio
n of the diffusion and reaction in a porous catalyst pellet is an
other important problem in chemical engineering. The reaction und
er consideration is $A\\rightarrow B$ which occurs inside the pel
let. Mass balance and conservation of energy on the spherical pel
let give:\015\\begin\{equation\}            \\label\{consPC\}\015
\\begin\{array\}\{rcl\}\015\\frac\{D_e\}\{r^2\} \\frac\{d\}\{dr\}
\\left(r^2\\frac\{dc\}\{dr\}\\right) - R(c,T) &=& 0  \\\\\015\\fr
ac\{k_e\}\{r^2\} \\frac\{d\}\{dr\}\\left(r^2\\frac\{dT\}\{dr\}\\r
ight) + (-\\Delta H_R) R(c,T) &=& 0\015\\end\{array\}\015\\end\{e
quation\}\015where $c$ is the concentration of $A$, $D_e$ is the \+
effective diffusivity, $R(c,T)$ the reaction rate expression as a
 function of concentration $c$ and temperature $T$, $k_e$ the eff
ective thermal conductivity and $-\\Delta H_R$ the heat of the re
action. Due to radial symmetry about the center of the pellet:\01
5\\begin\{equation\}   \\label\{bc1PC\}\015\\frac\{dc\}\{dr\} = 0
,\\qquad \\frac\{dT\}\{dr\} = 0\\qquad\\mbox\{ at \}r=0.\015\\end
\{equation\}\015On the surface of the pellet the quantities are a
t their bulk values:\015\\begin\{equation\}  \\label\{bc2PC\}\015
c=c_0,\\qquad T=T_0,\\qquad\\mbox\{ at \}r=R.\015\\end\{equation\
}\015For a simple first-order irreversible reaction\015$$\015 R(c
,T) = k_0 c \\exp(-\\frac\{Q\}\{RT\});\015$$\015the relationship \+
between the reactant concentration and temperature at any point i
n the catalyst is given by~\\cite\{WH\}:\015$$\015 \\Delta T=T-T_
0 = \\frac\{-\\Delta H_R D_e\}\{k_e\}(c_0-c).\015$$\015\015Introd
ucing dimensionless variables\015$$\015 \\gamma:=\\frac\{Q\}\{R T
_0\},\\quad\\beta:=\\frac\{c_0 (-\\Delta H_R) D_e\}\{k_e T_0\},\\
quad y:=\\frac\{c\}\{c_0\},\015$$\015the reaction rate can be exp
ressed as\015$$\015 R(y,T) = k_0 c_0 y \\exp\\left(\\frac\{\\gamm
a\\beta(1-y)\}\{1+\\beta(1-y)\}\\right).\015$$\015Substituting th
ese into (\\ref\{consPC\})  and the boundary conditions (\\ref\{b
c1PC\}) and (\\ref\{bc2PC\}) leads to the two-point BVP (\\cite\{
WH\})\015\\begin\{eqnarray*\}\015\\frac\{d^2y\}\{dx^2\} + \\frac\
{2\}\{x\} \\frac\{dy\}\{dx\} &=& \\phi^2 y \\exp\\left(\\frac\{\\
gamma\\beta(1-y)\}\{1+\\beta(1-y)\}\\right), \\\\ \\frac\{dy\}\{d
x\}(0) &=& 0, \\\\\015y(1) &=& 1\015\\end\{eqnarray*\}\015where $
\\phi:=R\\sqrt\{\\frac\{k_0\}\{D_e\}\}$ and $x:=\\frac\{r\}\{R\}$
.\015\015When expressed as a first-order system, this problem is \+
easily solved by \\verb+shoot+ for specific values of $\\gamma$, \+
$\\beta$, and $\\phi$. For example:"}}{INP_R 59 0 "> "{TEXT 0 20 
"restart;\015read shoot;"}}{INP_R 60 0 "> "{TEXT 0 227 "ODE:=\{ d
iff(y(x),x) = z(x),\015       diff(z(x),x) = -2/x*z(x)\015       \+
      + phi^2*y(x)\015                *exp(gamma*beta*(1-y(x))\01
5                /(1+beta*(1-y(x))) ) \}:\012FNS:=\{ y(x), z(x) \
}:\012IC:=\{ y(0)=alpha, z(0)=0 \}:\012BC:=y(1)=1:"}}{INP_R 61 0 
"> "{TEXT 0 127 "COEF:=[ gamma=30, beta=2/5, phi=3/10 ]:\012S1:=s
hoot( subs(COEF,ODE) union IC, FNS, BC,\015            alpha=1, v
alue=array([0,1]) );"}}{OUT_R 62 0 61{DAG :3n3\`S1`(3n4\`MATRIX`,
2[2,3[2,2(3n4\`VECTOR`,2[2,4n3\`x`(3n3\`y`,2p13(3n3\`z`p18[2,2(3p
4,2[2,3[2,4j2x0000e3j5x9829180602000001i2x0016p27[2,4e3j2x0001p27
e3j5x1000000000280384i2x0015e3j5x3231087397210381i2x0017}}{COM_R 
63 0{TEXT 1 352 "The effectiveness factor, $\\eta$, for the react
ion is the ratio of the average reaction rate with diffusion to t
he average reaction rate when the reaction rate is evaluated at t
he bulkstream (or boundary) values (\\cite[pp.\\ 58--62]\{D\}, \\
cite[p.\\ 83]\{F\}). Here is one way in which this quantity can b
e computed from the results returned by \\verb+shoot+:"}}{INP_R 
64 0 "> "{TEXT 0 48 "eta:=3/phi^2*D(c)(1) = subs(COEF,3/phi^2*dcd
r1);"}}{OUT_R 65 0 64{DAG :3n3\`eta`=3+3*5n3\`phi`i2x0002(3(3n3\`
D`,2n3\`c`,2j2x0001p12j2x0003+3n4\`dcdr1`/3j2x0100p15}}{INP_R 66 
0 "> "{TEXT 0 20 "dcdr1:=S1[2,1][2,3];"}}{OUT_R 67 0 66{DAG :3n4\
`dcdr1`e3j5x3231087397210381i2x0017}}{INP_R 68 0 "> "{TEXT 0 15 "
'eta'=rhs(eta);"}}{OUT_R 69 0 68{DAG =3n3\`eta`e3j4x001077029132i
2x0009}}{COM_R 70 0{TEXT 1 239 "\\noindent\015As is well-known \\
cite[pp.\\ 87-88]\{F\}, for a given value of $\\phi$, the effecti
veness factor can be multiple-valued. The other values can be obt
ained by starting the shooting method with different values of th
e control parameter:"}}{INP_R 71 0 "> "{TEXT 0 125 "Sh:=shoot( su
bs(COEF,ODE) union IC, FNS, BC,\015           alpha=1/2, value=ar
ray([0,1]) );\015dcdr1:=Sh[2,1][2,3]:\015'eta'=rhs(eta);"}}{OUT_R
 72 0 71{DAG :3n3\`Sh`(3n4\`MATRIX`,2[2,3[2,2(3n4\`VECTOR`,2[2,4n
3\`x`(3n3\`y`,2p13(3n3\`z`p18[2,2(3p4,2[2,3[2,4j2x0000e3j5x144219
2834000000i2x0016p27[2,4e3j2x0001p27e3j5x0999999999503557i2x0015e
3j5x3250550528505473p2F}}{OUT_R 73 0 71{DAG =3n3\`eta`e3j4x001083
516843i2x0008}}{INP_R 74 0 "> "{TEXT 0 123 "S0:=shoot( subs(COEF,
ODE) union IC, FNS, BC,\015           alpha=0, value=array([0,1])
 );\015dcdr1:=S0[2,1][2,3]:\015'eta'=rhs(eta);"}}{OUT_R 75 0 74
{DAG :3n3\`S0`(3n4\`MATRIX`,2[2,3[2,2(3n4\`VECTOR`,2[2,4n3\`x`(3n
3\`y`,2p13(3n3\`z`p18[2,2(3p4,2[2,3[2,4j2x0000e3j5x10966749040000
00i2x0021p27[2,4e3j2x0001p27e3j5x0999999998529494i2x0015e3j5x2554
522460710149p3E}}{OUT_R 76 0 74{DAG =3n3\`eta`e3j4x008515074869i2
x0008}}{COM_R 77 0{TEXT 1 599 "The effectiveness factor has been \+
computed for a wide range of values for $\\gamma$, $\\beta$, and \+
$\\phi$. A sample of the results, for $\\gamma=30$, are displayed
 in the following plot. The four datasets displayed in this plot \+
correspond to $\\beta=0.4$ (box -- top curve), $\\beta=0.2$ (dott
ed line -- second curve from top), $\\beta=0.1$ (solid line -- se
cond curve from bottom), and $\\beta=0$ (dashed line -- bottom cu
rve). The multiple values for the exothermic catalyst ($\\beta=0.
4$) were obtained using different initial guesses for the control
 parameter ($\\alpha=0$, $\\alpha=0.5$, and $\\alpha=1$)."}}
{COM_R 78 0{TEXT 1 18 "\\mapleplot\{ex2.ps\}"}}{COM_R 79 0{TEXT 1
 3808 "\015\\heading\{Infinite Rotating Disk\}\015\015Consider th
e steady fluid flow generated when the infinite plane $z=0$, imme
rsed in a Newtonian viscous fluid, rotates about the axis $r=0$ w
ith a constant angular velocity $\\omega$. The viscous drag of th
e rotating surface creates a swirling flow toward the disk. The m
otion is characterized in terms of the pressure, $p$, and the thr
ee components of the velocity, $v^r$, $v^\\theta$, $v^z$, in cyli
ndrical coordinates. The radial symmetry of this problem eliminat
es $\\theta$ as a independent variable. Thus, with $\\rho$ and $\
\nu$ denoting the density and kinematic viscosity of the fluid an
d writing partial derivatives as subscripts, the equations of con
tinuity and conservation of momentum reduce to \\cite\{W\}:\015\\
begin\{eqnarray\}\015\\lefteqn\{\\frac\{1\}\{r\} (rv^r)_r + (v^z)
_z\}   \\nonumber \\\\\015   &&= 0  \\nonumber \\\\\015\\lefteqn\
{v^r (v^r)_r + v_z(v^r)_z - \\frac\{1\}\{r\}(v^\\theta)^2\}   \\n
onumber \\\\\015   &&= -\\frac\{1\}\{\\rho\}p_r + \\nu\\left( (v^
r)_\{rr\} + \\frac\{1\}\{r\}(v^r)_r + (v^r)_\{zz\} - \\frac\{v^r\
}\{r^2\} \\right) \\nonumber \\\\\015\\lefteqn\{v^r(v^\\theta)_r \+
+ v^z(v^\\theta)_z + \\frac\{1\}\{r\}v^r v^\\theta\}   \\label\{c
ons-ex3\} \\\\\015   &&= \\nu\\left( (v^\\theta)_\{rr\} + \\frac\
{1\}\{r\}(v^\\theta)_r + (v^\\theta)_\{zz\} - \\frac\{v^\\theta\}
\{r^2\} \\right)  \\nonumber \\\\\015\\lefteqn\{v^r(v^z)_r + v^z(
v^z)_z\}   \\nonumber \\\\\015   &&= -\\frac\{1\}\{\\rho\} p_z + \+
\\nu\\left( (v^z)_\{rr\} + \\frac\{1\}\{r\}(v^z)_r + (v^z)_\{zz\}
 \\right). \\nonumber \015\\end\{eqnarray\}\015The boundary condi
tions are chosen (for all $r>0$) to enforce no slippage at the in
terface with the disk:\015\\begin\{eqnarray\}\015v^r(r,0) = v^z(r
,0) &=& 0,   \\nonumber \\\\\015v^\\theta(r,0) &=& r\\omega, \\la
bel\{bc-ex3\} \\\\\015p(r,0) &=& 0                    \\nonumber\
015\\end\{eqnarray\}\015and no non-axial viscous effect in the fa
r-field:\015\\begin\{eqnarray\}\015 \\lim_\{z\\rightarrow\\infty\
} v^r(r,z) &=& 0        \\nonumber \\\\\015 \\lim_\{z\\rightarrow
\\infty\} v^\\theta(r,z) &=& 0 \\label\{bc2-ex3\} \\\\\015 \\lim_
\{z\\rightarrow\\infty\} (v^z)_z(r,z) &=& 0. \\nonumber\015\\end\
{eqnarray\}\015\015Similarity solutions to this equation were fou
nd by K\\'arm\\'an \\cite\{K\}, who noted that each of $\\frac\{v
^r\}\{r\}$, $\\frac\{v^\\theta\}\{r\}$, $\\frac\{v^z\}\{r\}$, and
 $p$ depends only on the distance from the disk, $z$. The system \+
of PDEs reduces to a system of ODEs with the introduction of  $z^
*=z\\sqrt\{\\frac\{\\omega\}\{\\nu\}\}$ as the dimensionless inde
pendent variable for the dimensionless functions $F$, $G$, $H$, a
nd $P$ defined according to\015\\begin\{eqnarray\}\015v^r &=& r\\
omega F(z^*),              \\nonumber \\\\\015v^\\theta &=& r\\om
ega G(z^*),       \\label\{subs3\} \\\\\015v^z &=& \\sqrt\{\\omeg
a\\nu\} H(z^*), \\nonumber \\\\\015p &=& \\rho\\omega\\nu P(z^*).
            \\nonumber\015\\end\{eqnarray\}\015The substitution o
f (\\ref\{subs3\}) into (\\ref\{cons-ex3\}), (\\ref\{bc-ex3\}), a
nd (\\ref\{bc2-ex3\}) can be completed in a manner analogous to t
hat used in the Blasius problem. These steps are omitted here in \+
the interest of space; the resulting BVP is:\015\\begin\{eqnarray
\}\015H' &=& -2F                      \\nonumber\\\\\015F'' &=& F
^2-G^2+F'H        \\nonumber\\\\\015G'' &=& 2FG+HG'              \+
 \\nonumber\\\\\015P' &=& -HH' + H''             \\label\{sys-ex3
\}\\\\\015F(0)=H(0)=P(0) &=& 0        \\nonumber\\\\\015G(0) &=& \+
1                       \\nonumber\\\\\015\\lim_\{z^*\\rightarrow
\\infty\}F(z^*) = \\lim_\{z^*\\rightarrow\\infty\}G(z^*) &=& 0.  \+
     \\nonumber\015\\end\{eqnarray\}\015Note that (\\ref\{sys-ex3
\}) can be solved as a two-point BVP for $F$, $G$, $H$. Once this
 solution is known, the pressure equation can be integrated to yi
eld $P=-\\frac\{1\}\{2\}H^2 + H'$. In addition, note that any phy
sically realistic solution must have $F,G,P>0$ and $H<0$ for all \+
$z^*$ \\cite[p.\\ 164]\{W\}.\015\015Assuming the boundary conditi
on at $z^*=\\infty$ can be applied at a finite distance from the \+
disk, \\verb+shoot+ can be used to obtain an approximate solution
 to this system. First, introduce the first derivatives of $F$ an
d $G$ as new dependent variables:"}}{INP_R 80 0 "> "{TEXT 0 33 "r
estart;\015read shoot;\015with(plots):"}}{INP_R 81 0 "> "{TEXT 0 
40 "FNS:=\{ F(Z), G(Z), H(Z), Fp(Z), Gp(Z) \}:"}}{COM_R 82 0{TEXT
 1 69 "\\noindent\015and reformulate the system as a first-order \+
system of ODEs:"}}{INP_R 83 0 "> "{TEXT 0 181 "ODE:=\{diff(H(Z),Z
) = -2*F(Z),\015      diff(F(Z),Z) = Fp(Z),\015      diff(Fp(Z),Z
) = -G(Z)^2+F(Z)^2+Fp(Z)*H(Z),\015      diff(G(Z),Z) = Gp(Z),\015
      diff(Gp(Z),Z) = 2*F(Z)*G(Z)+H(Z)*Gp(Z)\}:"}}{COM_R 84 0
{TEXT 1 34 "\\noindent\015with initial conditions:"}}{INP_R 85 0 
"> "{TEXT 0 62 "IC:=\{ F(0)=0, G(0)=1, H(0)=0,\015      Fp(0)=alp
ha, Gp(0)=beta \}:"}}{COM_R 86 0{TEXT 1 88 "\\noindent\015and bou
ndary conditions (again, $z^*=10$ can be shown to be in the far-f
ield):"}}{INP_R 87 0 "> "{TEXT 0 25 "BC:=\{ F(10)=0, G(10)=0 \}:"
}}{COM_R 88 0{TEXT 1 529 "\\noindent\015Note that, as in the firs
t example, the boundary condition at infinity has been moved to a
 finite position. The value $z^*=10$ is chosen, as before, on the
 basis that this is already in the far field. (In fact, truncatin
g the computations at $z^*=7$ yields essentially the same solutio
n.) Note also that since there are two boundary conditions at the
 second boundary point, there are two parameters to be determined
 in the shooting method (\{\\em i.e.\}, $m_2=2$). This can be han
dled by \\verb+shoot+ without modification:"}}{INP_R 89 0 "> "
{TEXT 0 91 "infolevel[shoot]:=1:\012S:=shoot( ODE union IC, FNS, \+
BC,\015          [alpha=0.51, beta=-0.62] ):"}}{OUT_R 90 0 89
{TEXT 2 184 "shoot:   alpha = .51, beta = -.62\012shoot:   alpha \+
= .5100033193, beta = -.6161487475\012shoot:   alpha = .510211735
5, beta = -.6159070527\012shoot:   alpha = .5102135910, beta = -.
6159096496\012"}}{INP_R 91 0 "> "{TEXT 0 23 "P:=Z->-H(Z)^2/2-2*F(
Z):"}}{INP_R 92 0 "> "{TEXT 0 403 "C:=odeplot(S,[ [Z,F(Z)], [Z,G(
Z)],\015               [Z,H(Z)], [Z,-P(Z)] ], 0..10 ):\012subs( [
seq( op(0,lhs(f))=rhs(f(3/4)),\015            f=select(has,S,\{F,
G,H\}) )] ):\012[op(\"),P=subs(\", H^2+2*F)]:\012L:=textplot(\015
  subs(z=3/4, map(f->[z,rhs(f)+1/45,lhs(f)],\")),\015  font=[TIME
S,ITALIC,18], align=ABOVE ):\015display( \{C,L\}, labels=[`z*`,``
],\015         title=`Infinite Disk: `\015               .`alpha=
0.51, beta=-0.62` );"}}{COM_R 93 0{TEXT 1 18 "\\mapleplot\{ex3.ps
\}"}}{COM_R 94 0{TEXT 1 388 "This plot confirms that the solution
 satisfies the original boundary conditions at $z^*=\\infty$. (In
 fact, the solution obtained when the computational domain is tru
ncated at $x^*=7$.) Compare the solution in the preceding plot wi
th the solution obtained when the starting values of the control \+
parameters are $\\alpha=0.50$ and $\\beta=-0.61$ -- each just 0.0
1 less than the first attempt:"}}{INP_R 95 0 "> "{TEXT 0 71 "S2:=
shoot( ODE union IC, FNS, BC,\015           [alpha=0.5, beta=-0.6
1] ):"}}{OUT_R 96 0 95{TEXT 2 333 "shoot:   alpha = .5, beta = -.
61\012shoot:   alpha = .5181506133, beta = -.5834922887\012shoot:
   alpha = .5178653168, beta = -.5900697906\012shoot:   alpha = .
5019889119, beta = -.5940268791\012shoot:   alpha = .5040798081, \+
beta = -.5927957583\012shoot:   alpha = .5042719718, beta = -.592
7086067\012shoot:   alpha = .5042737786, beta = -.5927079110\012"
}}{COM_R 97 0{TEXT 1 153 "The different values of $\\alpha$ and $
\\beta$ suggest that the shooting method has returned a different
 solution. Is this also a solution to the problem?\015"}}{INP_R 
98 0 "> "{TEXT 0 406 "C:=odeplot(S2,[ [Z,F(Z)], [Z,G(Z)],\015    \+
            [Z,H(Z)], [Z,-P(Z)] ], 0..12 ):\012subs( [seq( op(0,l
hs(f))=rhs(f(3/4)),\015            f=select(has,S2,\{F,G,H\}) )] \+
):\012[op(\"),P=subs(\", H^2+2*F)]:\012L:=textplot(\015  subs(z=3
/4, map(f->[z,rhs(f)+1/45,lhs(f)],\")),\015  font=[TIMES,ITALIC,1
8], align=ABOVE ):\015display( \{C,L\}, labels=[`z*`,``],\015    \+
     title=`Infinite Disk: `\015               .`alpha=0.50, beta
=-0.61` );"}}{COM_R 99 0{TEXT 1 19 "\\mapleplot\{ex3a.ps\}"}}
{COM_R 100 0{TEXT 1 585 "Note that this solution does not satisfy
 the aforementioned sign constraints for $F$, $G$, $H$, and $P$ f
or a physical solution to (\\ref\{sys-ex3\}). Furthermore, while \+
the boundary conditions at $z^*=10$ are satisfied, it is extremel
y unlikely that this solution will satisfy the boundary condition
s at $z^*=\\infty$. This is a spurious solution \\cite[p.\\ 167]\
{W\}. Automating the detection of spurious solutions is extremely
 difficult. In some instances, this difficulty can be avoided by \+
the use of one of the other solution techniques for boundary valu
e problems mentioned previously.\015"}}{COM_R 101 0{TEXT 1 464 "\
015\\heading\{Conclusion\}\015\015In this brief article we have i
ntroduced \\verb+shoot+, a Maple implementation of the simple sho
oting method for the numerical solution of two-point boundary val
ue problems, and illustrated the application of \\verb+shoot+ to \+
assist with the analysis of three classic problems from chemical \+
engineering. These examples demonstrate some of the potential tha
t is available with Maple's combination of symbolic, numeric, and
 graphic computation.\015"}}{COM_R 102 0{TEXT 1 534 "\015\\headin
g\{Acknowledgment\}\015\015The authors would like to thank the re
ferees for their useful comments. In addition, we would like to r
ecognize our colleague, John Weidner, for his proofreading and su
ggestions.\015\015This project is a result of the interdisciplina
ry interactions supported by the Center for Electrochemical Engin
eering (URL: \{\\tt http://www-cee.che.sc.edu/\}), which has been
 funded by the State of South Carolina. In addition, the first au
thor was partially supported by the National Science Foundation u
nder grant DMS-9404488."}}{COM_R 103 0{TEXT 1 1451 "\015\\thebibl
iography\{9\}\015\015\\bibitem\{SB\}\015J.\\ Stoer and R.\\ Bulir
sch,\015\{Introduction to Numerical Analysis\}\015Springer-Verlag
, 1980.\015\015\\bibitem\{B\}\015Yonathan Bard,\015\{\\em Nonline
ar Parameter Estimation\},\015Academic Press, 1974.\015\015\\bibi
tem\{D\}\015Mark E.\\ Davis,\015\{Numerical Methods and Modeling \+
for Chemical Engineers\},\015John Wiley \\& Sons, Inc., 1984.\015
\015\\bibitem\{AMR\}\015Uri M.\\ Ascher, Robert M.\\ M.\\ Matthei
j, and Robert D.\\ Russell,\015\{Numerical Solution of Boundary V
alue Problems for Ordinary Differential Equations\},\015SIAM, 199
5.\015\015\\bibitem\{ACR\}\015U.\\ Ascher, J.\\ Christiansen and \+
R.\\ D.\\ Russell,\012\{\\em COLSYS - a collocation code for boun
dary value problems\},\012Proc. Conf. for Codes for BVPs in ODEs,
\012Houston, Texas, 1978.\015\015\\bibitem\{W\}\015Frank M.\\ Whi
te,\015\{Viscous Fluid Flow\},\0151st ed., McGraw--Hill, Inc., 19
74.\015\015\\bibitem\{WH\}\015P.\\ B.\\ Wiesz and J.\\ S.\\ Hicks
,\015\{\\em The behaviour of porous catalyst particles in view of
 internal mass and heat diffusion effects\},\015Chemical Engineer
ing Science, \{\\bf 17\}, pp.\\ 265--275, 1962.\015\015\\bibitem\
{F\}\015Bruce A.\\ Finlayson,\015\{Nonlinear Analysis in Chemical
 Engineering\},\015McGraw-Hill, 1980.\015\015\\bibitem\{K\}\015T.
\\ von K\\'arm\\'an,\015``\\\"Uber laminare und turbulente Reibun
g,\"\015\{\\em Z. Angew. Math. Mech.\}, vol. 1, pp. 233--252, 192
1.\015\015%\\bibitem\{KHH\}\015%M.\\ Kub\\'\{\\i\}\\u\{c\}ek, V.\
\ Hlav\\'\{a\}\\u\{c\}ek, and M.\\ Holodnick,\015%\{\\em Test Exa
mples for Comparison of Codes for Nonlinear Boundary Value Proble
ms in Ordinary Differential Equations\},\015%location and date un
known."}}{COM_R 104 0{TEXT 1 3853 "\015\\heading\{Biographies\}\0
15\015\\subheading\{Douglas B.\\ Meade\}\015Douglas B.\\ Meade re
ceived a Ph.D.\\ in Mathematics from Carnegie Mellon University i
n 1989, then spent two years as a Research Assistant Professor in
 the Center of Applied Mathematics at Purdue University. Since 19
91 he has been an Assistant Professor in the Department of Mathem
atics at the University of South Carolina. Research interests are
 presently directed towards numerical methods for PDEs, in partic
ular, wave propagation on unbounded domains and nonlinear reactio
n--diffusion equations. Maple is used extensively in this researc
h. Dr.\\ Meade has also incorporated student usage of Maple into \+
a variety of undergraduate and graduate courses. These efforts ha
ve been generously supported by the Office of the Provost, includ
ing funding (joint with Professor White) from the Lilly Endowment
 Teaching Fellows Program.\015\015\\subheading\{Bala S.\\ Haran\}
\015Bala S. Haran received a Bachelors of Technology in Electroch
emical Engineering from Central Electrochemical Research Institut
e, India in 1989. Since 1990 he has been a doctoral student in th
e Department of Chemical Engineering at the University of South C
arolina. Research interests lie in the field of  Electrochemical \+
Engineering, in particular mathematical modeling of electro-kinet
ic processes, batteries and corrosion.\015\015\\subheading\{Ralph
 E.\\ White\}\015Ralph E.\\ White received his B.S.\\ in Engineer
ing from the University of South Carolina in 1971 and his M.S.\\ \+
and Ph.D.\\ degrees from the University of California at Berkeley
 in 1973 and 1977, respectively. Dr.\\ White joined the faculty a
t Texas A\\&M University (TAMU) in 1977 and was promoted to Assoc
iate Professor and Professor in 1981 and 1985, respectively. He s
erved at TAMU as the Associate Head of the Department of Chemical
 Engineering from 1990-1992.  Dr.\\ White joined the faculty at t
he University of South Carolina in January 1993, and is now servi
ng as the Chairman of the Department of Chemical Engineering and \+
as a Westinghouse Distinguished Scientist. In addition, he is Dir
ector of the state authorized Center for Electrochemical Engineer
ing in the Department of  Chemical Engineering.\015%Dr.\\ White h
as done service work for USC and his professional society.\015%He
 served as the Chairman of the Search Committee for the Dean of t
he College of Science and Mathematics (COSM)\015%at the Universit
y of South Carolina, which resulted in the hiring of Professor Je
rome Odom as the Dean of the College\015%of COSM. Also, Dr. White
 served as the Treasurer of The Electrochemical Society from 1990
-1994.\015Dr.\\ White has also been active in research, having pu
blished over 130 refereed journal articles.\015% editing or co-ed
iting 28 books on electrochemistry, and graduating 29 M.S.\\ stud
ents, and 17 Ph.D.\\ students (six of\015% whom became university
 professors). He has received awards for his research from severa
l groups including the Battery\015%Division and the Electrodeposi
tion Division of The Electrochemical Society, and the Former Stud
ents Association of\015%Texas A\\&M University.\015%Dr.\\ White h
as established an active research program at USC (funded at appro
ximately \\$750,000 per year) which\015%includes three postdoctor
al, ten Ph.D. and several undergraduate students. Dr.\\ White was
 recently invited to submit\015%a proposal to establish a NSF Eng
ineering Research Center entitled the Center for Electrochemical \+
Engineering at USC. \015%Dr.\\ White has also been recognized for
 his teaching having been nominated three times for a Distinguish
ed Achievement\015%Award in Teaching by the students at Texas A\\
&M University.  Dr.\\ White is trying to improve the teaching of\
015%undergraduate and graduate students by introducing new tools \+
such as Maple.  Dr.\\ White helped to obtain the Maple\015%site l
icense at USC.  In summary, Dr.\\ White is committed to improving
 the education of those who attend USC."}}{INP_R 105 0 "> "{TEXT 
0 0 ""}}}{END}
